<?php

declare(strict_types=1);

interface MyronSectionRenderer
{
    public function id(): string;

    public function priority(): int;

    public function canRender(MyronSectionRenderContext $context): bool;

    public function render(MyronSectionRenderContext $context): string;

    public function contract(): ?MyronSectionContract;
}
